org.apache.fontbox.ttf

## Class OpenTypeScript

- java.lang.Object
- - org.apache.fontbox.ttf.OpenTypeScript

    public final class OpenTypeScript
    extends Object

A class for mapping Unicode codepoints to OpenType script tags

Author:
  Aaron Madlon-Kay
See Also:
  Microsoft Typography: Script Tags, Unicode Script Property

### Field Summary

Fields
`static String` `INHERITED`
`static String` `TAG_DEFAULT`
`static String` `UNKNOWN`

### Method Summary

All Methods Static Methods Concrete Methods
`static String[]` `getScriptTags(int codePoint)` Obtain the OpenType script tags associated with the given Unicode codepoint.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INHERITED

    public static final String INHERITED

See Also:
  Constant Field Values

#### UNKNOWN

    public static final String UNKNOWN

See Also:
  Constant Field Values

#### TAG_DEFAULT

    public static final String TAG_DEFAULT

See Also:
  Constant Field Values

### Method Detail

#### getScriptTags

    public static String[] getScriptTags(int codePoint)

Obtain the OpenType script tags associated with the given Unicode codepoint. The result may contain the special value `#INHERITED`, which indicates that the codepoint's script can only be determined by its context. Unknown codepoints are mapped to `#TAG_DEFAULT`.

Parameters:
  `codePoint` - the unicode codepoint of the OpenType script tag
Returns:
  An array of four-char script tags